<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/********************************************/
/* Gestion de scurit des variables entrantes */
/********************************************/
include("./common/safety.php");

@extract($_SERVER);					// Variable Server


/***************************************/
/* Initialise les donnes et fonctions */
/***************************************/
include("./admin/init.php");

/**************************/
/* Traitement des actions */
/**************************/
switch($action){

	// Identification
	case "login":
			$message = login_process($login, $passwd);
			break;

	// Dconnexion
	case "disconnect":
			$message = disconnect_process();
			break;

	case "subscribe":
			$msg = subscribe($login, $passwd, $passwd2, $email);
			break;

	// Supression d'un forum
	case "delete":
			$message = delete_forum($idel);
			break;

	// Cration d'un nouveau forum
	case "create":
			if(!isset($filename)) $filename="";
			$message = create_forum($filename, $title, $passwd, $subject, $style, $structure);
			break;

	// Applique un style  l'index  partir d'un forum
	case "index_rec_style_forum":
			if(!isset($login)) $login="";
			if(empty($PRIV[4]) AND $ATK_LOGIN != $login) error(17);
			index_copy_forum($login, $id_from);
			if(!empty($apply_to_all)){
				$query = "SELECT id FROM atk_forums WHERE owner='$login' AND id<>$id_from";
				$sql = dbquery($query);
				while($row=mysql_fetch_array($sql))
					forum_copy($id_from, $row["id"]);		
			}
			$msg = $LANG["ADMIN-INDEX-OK"];
			break;

	// Applique un style  l'index  partir d'un fichier xml
	case "index_rec_style_xml":
			if(!isset($login)) $login="";
			if(empty($PRIV[4]) AND $ATK_LOGIN != $login) error(17);
			index_xml($login, $dirname);
			if(!empty($apply_to_all)){
				$query = "SELECT id FROM atk_forums WHERE owner='$login'";
				$sql = dbquery($query);
				while($row=mysql_fetch_array($sql))
					forum_xml($row["id"], $dirname);	
			}
			$msg = $LANG["ADMIN-INDEX-OK"];
			break;

	// Enregistre les paramtres de personnalisation de l'index
	case "index_rec_perso":
			$msg  = index_rec_perso($login, $PARAM);
			break;

	// Enregistrement des couleurs d'un forum
	case "rec_colors":
	// Enregistrement de la personnalisation d'un forum
	case "rec_perso":
	// Enregistrement de paramtres divers d'un forum
	case "rec_passwd":
			$msg = rec_param($id, $PARAM);
			break;

	// Appliquer le style d'un autre forum
	case "rec_style_forum":
			forum_copy($id_from, $id);
			$msg = $LANG["ADMIN-FORUMS-OK"];
			break;

	// Appliquer le style d'un fichier xml
	case "rec_style_xml":
			forum_xml($id, $dirname);
			$msg = $LANG["ADMIN-FORUMS-OK"];
			break;

	// Enregistrement des images d'un forum
	case "rec_img":
			if(!isset($PARAM["img_fixed"])) $PARAM["img_fixed"]=0;
			$msg = rec_param($id, $PARAM);
			break;

	// Enregistrement des paramtres mail d'un forum
	case "rec_mail":
			if(!isset($PARAM["mail_actived"])) $PARAM["mail_actived"]=0;
			$msg = rec_param($id, $PARAM);
			break;

	// Enregistrement de paramtres divers d'un forum
	case "rec_other":
			if(!isset($PARAM["fade_link"])) $PARAM["fade_link"]=0;
			if(!isset($PARAM["fade_icon"])) $PARAM["fade_icon"]=0;
			if(!isset($PARAM["log"])) $PARAM["log"]=0;
			if(!isset($PARAM["log_forum"])) $PARAM["log_forum"]=0;
			if(!isset($PARAM["icon"])) $PARAM["icon"]=0;
			if(!isset($PARAM["dblmenu"])) $PARAM["dblmenu"]=0;
			if(!isset($PARAM["edit"])) $PARAM["edit"]=0;
			if(!isset($PARAM["html"])) $PARAM["html"]=0;
			if(!isset($PARAM["avatar"])) $PARAM["avatar"]=0;
			if(!isset($PARAM["incrementation"])) $PARAM["incrementation"]=0;
			if(!isset($PARAM["up_subject"])) $PARAM["up_subject"]=0;
			if(!isset($PARAM["arbo"])) $PARAM["arbo"]=0;
			if(!isset($PARAM["global_smiley"])) $PARAM["global_smiley"]=0;
			if(!isset($PARAM["fast_view"])) $PARAM["fast_view"]=0;
			if(!isset($PARAM["tableau"])) $PARAM["tableau"]=0;
			if(!isset($PARAM["return_index"])) $PARAM["return_index"]=0;
			if(!isset($PARAM["comment"])) $PARAM["comment"]=0;
			if(!isset($PARAM["show_stat"])) $PARAM["show_stat"]=0;
			if(!isset($PARAM["show_ssmenu"])) $PARAM["show_ssmenu"]=0;
			if(!isset($PARAM["upload"])) $PARAM["upload"]=0;
			if(!isset($PARAM["poll"])) $PARAM["poll"]=0;
			if(!isset($PARAM["dynamic_poll"])) $PARAM["dynamic_poll"]=0;
			if(!isset($PARAM["free_login"])) $PARAM["free_login"]=0;
			if(!isset($PARAM["edit_alert"])) $PARAM["edit_alert"]=0;
			if(!isset($PARAM["show_connected"])) $PARAM["show_connected"]=0;
			if(!isset($PARAM["infos_perso"])) $PARAM["infos_perso"]=0;
			$msg = rec_param($id, $PARAM);
			break;

	// Enregistrement des polices d'un forum
	case "rec_police":
			if(!isset($PARAM["bold_title"])) $PARAM["bold_title"]=0;
			if(!isset($PARAM["italic_title"])) $PARAM["italic_title"]=0;
			if(!isset($PARAM["bold_intro"])) $PARAM["bold_intro"]=0;
			if(!isset($PARAM["italic_intro"])) $PARAM["italic_intro"]=0;
			if(!isset($PARAM["bold_text"])) $PARAM["bold_text"]=0;
			if(!isset($PARAM["italic_text"])) $PARAM["italic_text"]=0;
			if(!isset($PARAM["bold_menu"])) $PARAM["bold_menu"]=0;
			if(!isset($PARAM["italic_menu"])) $PARAM["italic_menu"]=0;
			if(!isset($PARAM["bold_menu_a"])) $PARAM["bold_menu_a"]=0;
			if(!isset($PARAM["italic_menu_a"])) $PARAM["italic_menu_a"]=0;
			if(!isset($PARAM["bold_post"])) $PARAM["bold_post"]=0;
			if(!isset($PARAM["italic_post"])) $PARAM["italic_post"]=0;
			if(!isset($PARAM["bold_post_a"])) $PARAM["bold_post_a"]=0;
			if(!isset($PARAM["italic_post_a"])) $PARAM["italic_post_a"]=0;
			if(!isset($PARAM["bold_ssmenu"])) $PARAM["bold_ssmenu"]=0;
			if(!isset($PARAM["italic_ssmenu"])) $PARAM["italic_ssmenu"]=0;
			if(!isset($PARAM["bold_link"])) $PARAM["bold_link"]=0;
			if(!isset($PARAM["italic_link"])) $PARAM["italic_link"]=0;
			if(!isset($PARAM["bold_link_a"])) $PARAM["bold_link_a"]=0;
			if(!isset($PARAM["italic_link_a"])) $PARAM["italic_link_a"]=0;
			if(!isset($PARAM["bold_button_link"])) $PARAM["bold_button_link"]=0;
			if(!isset($PARAM["italic_button_link"])) $PARAM["italic_button_link"]=0;
			if(!isset($PARAM["bold_button_link_a"])) $PARAM["bold_button_link_a"]=0;
			if(!isset($PARAM["italic_button_link_a"])) $PARAM["italic_button_link_a"]=0;
			$msg = rec_param($id, $PARAM);
			break;
			
	case "export_style":
	          $msg = export_style($id, $stylename);
			break;

	// Suppression d'un posts et de toutes ses rponses
	case "delpost":
			if(empty($PRIV[4])){
				$query = "
					SELECT droit
					FROM atk_admin,atk_posts
					WHERE atk_posts.id='$idel' AND atk_posts.forum=atk_admin.forum
					AND atk_admin.login='$ATK_LOGIN'";
				$sql = dbquery($query);
				if($t=mysql_fetch_array($sql)){
					$priv=strrev(decbin($t["droit"]));
					if(!empty($priv[1])) delete($idel);
				}
			} else delete($idel);
			break;

	// Suppression de plusieurs posts (Id contenu dans $select)
	case "delposts":
			$select = unserialize(stripslashes(urldecode($select)));
			for($i=0;$i<count($select);$i++){
				if(empty($PRIV[4])){
					$query = "
						SELECT droit
						FROM atk_admin,atk_posts
						WHERE atk_posts.id='$select[$i]' AND atk_posts.forum=atk_admin.forum
						AND atk_admin.login='$ATK_LOGIN'";
					$sql = dbquery($query);
					if($t=mysql_fetch_array($sql)){
						$priv=strrev(decbin($t["droit"]));
						if(!empty($priv[1])) delete($select[$i]);
					}
				} else delete($select[$i]);
			}
			break;

	// Action des 3 submits du forumulaire de Gestion des posts
	case "posts":
			do_on_posts($button);
			break;

	// Modifie le password d'un membre $login
	case "passwd":
			$message=chg_passwd($passwd, $login);
			break;

	// Supprime un membres $login des tables
	case "deluser" :
			del_user($login);
			break;

	// Supprime les droits major d'un admin
	case "deladmin":
			del_admin($login);
			break;

	// Supprime les droits d'un admin sur un forum
	case "deladmin_forum":
			del_admin_forum($login,$forum);
			break;

	// Cr un nouvel administrateur
	case "admin":
			if(!isset($priv)) $priv=0;
			insert_admin($login,$priv);
			break;

	// Cr un nouvel administrateur forum
	case "admin_forum":
			if(!isset($priv)) $priv=0;
			insert_admin_forum($login,$forum,$priv);
			break;

	// Ajoute une catgory  l'index de $login
	case "add_category":
	        if(!isset($login)) $login="";
			if(empty($PRIV[4]) AND $ATK_LOGIN != $login) error(17);
			$order = dbgetfirst("SELECT MAX(order_cat) FROM atk_category WHERE owner='$login'");
			$order++;
			$query = "INSERT INTO atk_category (owner, title, order_cat) VALUES (\"$login\",\"$title\",$order)";
			dbquery($query);
			$msg = $LANG["ADD-CAT-DONE"];
			break;

     // Supprime une category de l'index de $login
	case "del_category":
	          if(!isset($login)) $login="";
			if(empty($PRIV[4]) AND $ATK_LOGIN != $login) error(17);
			$query="SELECT count(*) FROM atk_category WHERE owner=\"$login\"";
			$nb=dbgetfirst($query);
			if($nb>1){
				$query = "SELECT order_cat FROM atk_category WHERE id=$delete AND owner=\"$login\"";
				$order_cat = dbgetfirst($query);
				$query = "DELETE FROM atk_category WHERE id=$delete AND owner=\"$login\"";
				dbquery($query);
				$query = "UPDATE atk_category SET order_cat=order_cat-1 WHERE order_cat>$order_cat AND owner=\"$login\"";
				dbquery($query); 
				$query = "SELECT MIN(id) FROM atk_category WHERE owner=\"$login\"";
				$id = dbgetfirst($query);
				$query = "UPDATE atk_forums SET category=$id WHERE category=$delete AND owner=\"$login\"";
				dbquery($query);
				$msg = $LANG["DEL-CAT-DONE"];
			} else $msg=$LANG["DEL-CAT-ERR"];
			break;

	// Affecte un forum  une category de l'index
	case "affect":
	        if(!isset($login)) $login="";
			if(empty($PRIV[4]) AND $ATK_LOGIN != $login) error(17);
			$query="SELECT count(*) FROM atk_category WHERE owner=\"$login\" AND id=$category";
			$nb=dbgetfirst($query);
			if($nb==1){

				$query = "SELECT category, order_cat FROM atk_forums WHERE owner=\"$login\" AND id=$forum";
				$row = dbgetline($query);
				$old_cat = $row["category"];
				$old_order = $row["order_cat"];
				
				if($old_cat != $category){
					$query = "SELECT MAX(order_cat) FROM atk_forums WHERE owner=\"$login\" AND category=$category";
					$max_order = dbgetfirst($query);
					$max_order++;
					$query="UPDATE atk_forums SET category=$category, order_cat=$max_order WHERE owner=\"$login\" AND id=$forum";
					dbquery($query);
					$query = "UPDATE atk_forums SET order_cat=order_cat-1 WHERE owner=\"$login\" AND category=$old_cat AND order_cat>$old_order";
					dbquery($query);
				}

				$msg=$LANG["AFFECT-CAT-DONE"];
			}
			break;

	// Renomme une catgory de l'index de $login
	case "rename_category":
	          if(!isset($login)) $login="";
			if(empty($PRIV[4]) AND $ATK_LOGIN != $login) error(17);
			$query="SELECT count(*) FROM atk_category WHERE owner=\"$login\" AND id=$category";
			$nb=dbgetfirst($query);
			if($nb==1){
				$query="UPDATE atk_category SET title=\"$title\" WHERE id=$category";
				dbquery($query);
				$msg=$LANG["RENAME-CAT-DONE"];
			}
			break;

	// Tlcharge un fichier de sauvegarde
	case "export":
			include("./admin/export.php");
			exit; break;

	// Effectue une sauvegarde d'un compte uniquement
	case "export_index":
			include("./admin/export_index.php");
			exit; break;
			
	// Supprime un compte
	case "del_account":
			$message = del_account($owner);
			break;
			
	// Suspend un membre
	case "ban":
			$message=ban_members($login, $day, $hour, $minute);
			break;			

	// Rtabli un membre
	case "unban":
			$message=unban_members($login);
			break;
			
	// Modifie le profil
	case "profile":
			include_once("common/check_text.php");
			if(!isset($show_email)) $show_email=0;
			if(!isset($alert_mp)) $alert_mp=0;
			if(!isset($other)) $other="";
			if(!isset($fast_view)) $fast_view=0;
			if(!isset($smiley)) $smiley=0;
			if(!isset($avatar)) $avatar="";
			if(!isset($show_status)) $show_status="";
			$message=profile($login, $new_login, $email, $show_email, $alert_mp, $avatar, $town, $text, $url, $smiley, $msn, $aim, $skype, $yahoo, $icq, $other, $fast_view, $more, $show_status);
			break;
	
	// Verrouille un forum		
	case "lock_forum":

			$query = "SELECT droit FROM atk_admin WHERE login='$ATK_LOGIN' AND forum=$id";
			$priv = dbgetfirst($query);
			$priv = strrev(decbin($priv));
			if(empty($PRIV[1]) AND empty($priv[4])) error(21);

			$query = "UPDATE atk_forums SET locked=ABS(locked - 1) WHERE id=$id";
			dbquery($query);
			break;
			
	// Cache un forum		
	case "hide_forum":

			$query = "SELECT droit FROM atk_admin WHERE login='$ATK_LOGIN' AND forum=$id";
			$priv = dbgetfirst($query);
			$priv = strrev(decbin($priv));
			if(empty($PRIV[1]) AND empty($priv[4])) error(22);

			$query = "UPDATE atk_forums SET hidden=ABS(hidden - 1) WHERE id=$id";
			dbquery($query);
			break;		
		
}

/***************/
/* Les headers */
/***************/
no_cache();

/************************/
/* Dbut Affichage HTML */
/************************/
echo "<HTML><HEAD>";
?>
<TITLE>Forum Aztek - Forum gratuit sur http://www.forum-aztek.com</TITLE>
<meta name="Description" content="Aztek Forum - Forum gratuit en php et Mysql sur http://www.forum-aztek.com">
<meta name="Keywords" content="forum gratuit, forum, forums, forum, forums, forum, forums, forum, forums, forum, forums, forum, forums, Aztek, gratuit, gratuit, gratuit, gratuit, gratuit, gratuit, gratuit">
<meta name="Revisit-after" content="14 days">
<meta name="Robots" content="all">
<link rel="SHORTCUT ICON" href="./images/favicon.ico">
<?
echo "<STYLE>";
include("admin/style.css");
echo "</STYLE>";
echo "</HEAD><BODY class=atk_body>";

/****************************************/
/*	Affichage du tableau principal	*/
/****************************************/
echo "<TABLE border=0 bordercolor=#FFFFFF bgcolor=#D9F8FF cellpadding=0px";
echo "cellspacing=0px width=800px align=center>";
echo "<TR><TD valign=top>";

/******************************/
/* Inclue l'entte de la page */
/******************************/
show_top($choix);

/***********************/
/* Affichage du centre */
/***********************/
// Tableau sparant le menu du main
echo "<TABLE border=0 height=400px width=800px align=center cellpadding=0 cellspacing=0><TR>";
echo "<TD width=140px style='padding:10px' background='images/bg4.jpg' valign=top>";

	/******************/
	/* Inclue le menu */
	/******************/
	if(!$ID_SESS) menu_log();
	else navigator($choix);

echo "</TD><TD valign=top style='padding:10px'>";

	/**************************/
	/* Affichage des messages */
	/**************************/
	if($message) show_message($message);

	/*********************************/
	/* Affichage du centre - Gnral */
	/*********************************/
	if(!$ID_SESS){

		switch($process){
			case "check_bdd":
				check_bdd();
				break;

			case "repair_bdd":
				if(!isset($table)) $table="";
				repair_bdd($table);
				break;

			case "optimize_bdd":
				optimize_bdd();
				break;
				
			case "link":
				show_link();
				break;

			default:
				show_log();
		}

	} else {
		switch($choix){

			// Affichage de la liste des forums
			case 1:		show_stat($order);
						break;

			// Affichage du formulaire de cration d'un forum
			case 2:		create_forum();
						break;

			// Affichage de la rubrique gestion des forums
			case 3:		gest_forum($id, $rub, $msg);
						break;

			// Affichage de la rubrique gestion des posts
			case 4:		if(!isset($id)) $id=0;
						if(!isset($mode)) $mode=0;
						if(!isset($show)) $show=0;
						posts($id,$mode,$show,$number,$page);
						break;

			// Affichage de la rubrique gestion des membres
			case 5:		if(!isset($search)) $search="";
						members($number,$page,$search);
						break;

			// Gestion des administrateurs
			case 6:		show_admin($rub);
						break;

			// Rapport d'erreur
			case 7:		dbclose();
						rapport();
						break;

			// Aide et conseils
			case 8:		dbclose();
						help();
						break;

			// Configuration
			case 9:		if(empty($login)) $login="";
						if(empty($email)) $email="";
						config($login, $email, $msg);
						dbclose();
						break;

			// Confirmation de la suppression d'un forum
			case 10:		dbclose();
						$param="action=delete&idel=$idel";
						$return="choix=$return";
						$text=$LANG["ADMIN-FORUMS-ALERT-DEL"];
						show_alert($param, $return, $text);
						break;

			// Confirmation de la suppression d'un post et ses rponses
			case 11:		dbclose();
						$param="action=delpost&idel=$idel&choix=4&mode=$mode&show=$show&page=$page&number=$number&id=$id";
						$return="choix=4&mode=$mode&show=$show&page=$page&number=$number&id=$id";
						$text=$LANG["ADMIN-ALERT-DEL-POST"];
						show_alert($param,$return,$text);
						break;

			// Confirmation de la suppression de plusieurs posts
			case 12:	dbclose();
						$param="action=delposts&select=$select&choix=4&mode=$mode&show=$show&page=$page&number=$number&id=$id";
						$return="choix=4&mode=$mode&show=$show&page=$page&number=$number&id=$id";
						$text=$LANG["ADMIN-POSTS-ALERT-DEL"];
						show_alert($param,$return,$text);
						break;

			// Changement d'un password
			case 13:	dbclose();
						password($login,$number,$page);
						break;

			// Confirmation de la suppression d'un membre
			case 14:	dbclose();
						$param="action=deluser&login=$login&choix=5&page=$page&number=$number";
						$return="choix=5&page=$page&number=$number";
						$text=$LANG["ADMIN-MEMBERS-ALERT-DEL-USERS"];
						show_alert($param,$return,$text);
						break;

			// Confirmation de la suppression d'un admin systme
			case 15:	dbclose();
						$param="action=deladmin&login=$login&choix=6";
						$return="choix=6";
						$text=$LANG["ADMIN-ALERT-DEL-ADMIN"];
						show_alert($param,$return,$text);
						break;

			// Dsinstallation du kit
			case 16:	uninstall();
						break;

			// Confirmation de la dsinstallations
			case 17:	dbclose();
						$param="action=uninstall&choix=18";
						$return="choix=16";
						$text=$LANG["ADMIN-UNINSTALL-ALERT"];
						show_alert($param,$return,$text);
						break;

			// Affichage de la fin de la dsinstallation
			case 18:	if(!$PRIV[7]) error(18);
						uninstall_ended();
						uninstall_process();
						break;

			// Confirmation suppression d'un admin forum
			case 19:	dbclose();
						$param="action=deladmin_forum&login=$login&forum=$forum&choix=6";
						$return="choix=6";
						$text=$LANG["ADMIN-ALERT-DEL-ADMIN"];
						show_alert($param,$return,$text);
						break;

			// Confirmation de la rinitialisation d'un forum
			case 20:	dbclose();
						$param="action=init&id=$id&choix=3";
						$return="choix=3&id=$id";
						$text=$LANG["ADMIN-FORUM-ALERT-INIT"];
						show_alert($param,$return,$text);
						break;

			// Modification des index
			case 21:    if(!isset($login)) $login="";
						gest_index($login, $rub, $msg);
						break;
						
			// Confirmation de la suppression d'un compte
			case 22:	dbclose();
						$param="action=del_account&owner=$owner";
						$return="choix=9";
						$text=$LANG["ADMIN-ALERT-DEL-ACCOUNT"];
						show_alert($param,$return,$text);
						break;
						
			// Bannissement d'un login
			case 23:	ban($login);
					break;
			
			// Modification du profil d'un membre			
			case 24:	view_profile($login);
					break;

			default:	show_default();
		}
	}

/***************************/
/* Fin affichage du centre */
/***************************/
echo "</TD></TR></TABLE>";

/*****************************/
/* Fermeture de la connexion */
/*****************************/
dbclose();

/*************************/
/* Fin affichage gnral */
/*************************/
echo "</TD></TR></TABLE>";

echo "<p class=atk_aztek>" . $LANG["ADMIN-INFO"];
echo "<br>Aztek Forum V" . $VERSION . " ";
echo "<a class=atk_aztek href='./COPYING.txt' target='_blank'>" . $LANG["COPYRIGHT"] . "</a> - ";
// Calcul du temps de gnration
$tps_end = get_microtime();
$tps = $tps_end - $tps_start;
$LANG["GENERATE"] = str_replace("%sec",trim(number_format($tps,4,".","")),$LANG["GENERATE"]);
if(!isset($DBCOUNT)) $DBCOUNT=0;
echo str_replace("%dbcount",$DBCOUNT,$LANG["GENERATE"]);

echo "</BODY></HTML>";
?>
