<?
/*****************************************************************************/
/* Aztek Forum - PHP/Mysql forum                                             */
/* Copyright (C) 2003, 2004 Le Guilcher Yannick                              */
/*                                                                           */
/* This file is part of Aztek Forum.                                         */
/*                                                                           */
/* Aztek Forum is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* Aztek Forum is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with Aztek Forum; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* Contact: webmaster@forum-aztek.com                                        */
/* Website: http://www.forum-aztek.com                                       */
/*****************************************************************************/

/***********************************************/
/* Traitement des chaines avant enregistrement */
/***********************************************/
function before_reccord($chaine){
	global $ATK_LOGIN,$PF, $MAX_WORD_LENGTH;

	if(!$PF["html"]) $chaine=str_replace("<","&lt;",$chaine);

	// Modifie les tags en fct du langage
	$chaine=lang_to_tag($chaine);
	// Ferme les balises non fermes
	$chaine=close_tags($chaine);
	// On ajoute des antislash au bon endroit (guillemets)
	$chaine=addslashes($chaine);
	
	return($chaine);
}

/**********************************************************/
/* Traitement des chaines avant affichage dans les inputs */
/**********************************************************/
function before_print_input($chaine){
	// Modifie les tags en fct du language
	$chaine=tag_to_lang($chaine);
	$chaine=StripSlashes($chaine);
	return($chaine);
}

/***************************************/
/* Traitement du titre avant affichage */
/***************************************/
function before_print_title($chaine){
	global $PF, $MAX_WORD_LENGTH;

	// Insre des espaces dans les mots trop longs
	$chaine=insert_space($chaine, $MAX_WORD_LENGTH);
	// Supprime les tags html
	$chaine=str_replace("<","&lt;",$chaine);
	$chaine=stripslashes($chaine);
	$chaine=nl2br($chaine);
	$chaine=str_replace("<br />","<br>",$chaine);
	// Remplace les tags simples
	$chaine=replace_simple_tags($chaine);

	return($chaine);
}

/***************************************/
/* Traitement du texte avant affichage */
/***************************************/
function before_print_text($chaine){
	global $PF, $MAX_WORD_LENGTH;

	// Insre des espaces dans les mots trop longs
	$chaine=insert_space($chaine, $MAX_WORD_LENGTH);

	// Supprime les tags html
	if(!$PF["html"]) $chaine=str_replace("<","&lt;",$chaine);
	$chaine=stripslashes($chaine);

	// Remplace tous les tags
	$chaine=replace_all_tags($chaine);
	$chaine=replace_simple_tags($chaine);

	// Saut de ligne
	$chaine=nl2br($chaine);
	$chaine=str_replace("<br />","<br>",$chaine);

	return($chaine);
}

/**********************************************/
/* Convertie toutes les balises et met  jour */
/**********************************************/
function replace_all_tags($chaine){
	global $PF;

	/****************************/
	/* Remplacement des balises */
	/****************************/
	// [url]xxxx://adresse[/url]
	$patterns[] = "#\[url\]([\w]+?)://([^ \"\n\r\t<]*?)\[/url\]#is";
	$replacements[] = "<a href='\\1#://\\2' target='_blank'>\\1#://\\2</a>";
	// [url](www|ftp).adresse[/url]
	$patterns[] = "#\[url\]((www|ftp)\.[^ \"\n\r\t<]*?)\[/url\]#is";
	$replacements[] = "<a href='http#://\\1' target='_blank'>\\1</a>";
	// [url=xxx://www...]Libelle[/url]
	$patterns[] = "#\[url=([\w]+?)://([^ \"\n\r\t<]*?)\](.*?)\[/url\]#is";
	$replacements[] = "<a href='\\1#://\\2' target='_blank'>\\3</a>";
	// [url=(www|ftp).adresse]libelle[/url]
	$patterns[] = "#\[url=((www|ftp)\.[^ \"\n\r\t<]*?)](.*?)\[/url\]#is";
	$replacements[] = "<a href='http#://\\1' target='_blank'>\\3</a>";
	// [img]xxxx://....[/img]
	$patterns[] = "#\[img\]([\w]+?)://([^ \"\n\r\t<]*?)\[/img\]#si";
	$replacements[] = "<img src='\\1#://\\2' border='0' />";
	// [img](www|ftp).adresse[/img]
	$patterns[] = "#\[img\]((www|ftp)\.[^ \"\n\r\t<]*?)\[/img\]#is";
	$replacements[] = "<img src='http#://\\1' />";
	// [mail=...@...]libellee[/mail]
	$patterns[] = "#\[mail=(.*?)@(.*?)\](.*?)\[/mail\]#is";
	$replacements[] = "<a href='mailto:\\1#@\\2'>\\3</a>";
	// [mail]...@...[/mail]
	$patterns[] = "#\[mail](.*?)@(.*?)\[/mail\]#is";
	$replacements[] = "<a href='mailto:\\1#@\\2'>\\1#@\\2</a>";
	// [flash]xxxx://adresse[/flash]
	$patterns[] = "#\[flash\]([\w]+?)://([^ \"\n\r\t<]*?)\[/flash\]#is";
	$replacements[] = "	<object classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\" codebase=\"http#://active.macromedia.com/flash4/cabs/swflash.cab#version=6,0,47,0\" id=\"animation\" width=\"500\" height=\"400\">
						<param name=\"movie\" value=\"\\1#://\\2\">
						<param name=\"quality\" value=\"high\">
						<param name=\"bgcolor\" value=\"#FFFFFF\">
						<embed src=\"\\1#://\\2\" quality=\"high\" pluginspage=\"http#://www.macromedia.com/go/getflashplayer\" type=\"application/x-shockwave-flash\" width=\"500\" height=\"400\"></embed>
						<noembed>Flash Animation here</noembed>
					</object>";
	// [flash](www|ftp).adresse[/flash]
	$patterns[] = "#\[flash\]((www|ftp)\.[^ \"\n\r\t<]*?)\[/flash\]#is";
	$replacements[] = "	<object classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\" codebase=\"http#://active.macromedia.com/flash4/cabs/swflash.cab#version=6,0,47,0\" id=\"animation\" width=\"500\" height=\"400\">
						<param name=\"movie\" value=\"http#://\\1\">
						<param name=\"quality\" value=\"high\">
						<param name=\"bgcolor\" value=\"#FFFFFF\">
						<embed src=\"http#://\\1\" quality=\"high\" pluginspage=\"http#://www.macromedia.com/go/getflashplayer\" type=\"application/x-shockwave-flash\" width=\"500\" height=\"400\"></embed>
						<noembed>Flash Animation here</noembed>
					</object>";
	
	// Effectue les remplacements
	$chaine = preg_replace($patterns, $replacements, $chaine);
	/***********************************/
	/* Fin de remplacement des balises */
	/***********************************/

	// Reconnaissance des url sans tag
	if(!$PF["html"]) {
		$chaine=ereg_replace("([[:alnum:]]+)://([^[:space:]^\[^<]*)([[:alnum:]#?/&=])","<a href=\"\\1://\\2\\3\" TARGET=\"_blank\">\\1://\\2\\3</a>",$chaine);
		// Reconnaissance des emails sans tag
		$chaine = " " . $chaine;
		$chaine=ereg_replace("[^:^[:alnum:]]([[:punct:]]*)([_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)+)"," \\1<a href=\"mailto:\\2\">\\2</a>",$chaine);
     	$chaine = substr($chaine,1);
     }

    // Retranscription : On remplace les #:// et #@
	$chaine=str_replace("#://","://",$chaine);
	$chaine=str_replace("#@","@",$chaine);
    	
	// Supprime les tags non utiliss
    $chaine=str_replace("[img]","",$chaine);
    $chaine=str_replace("[/img]","",$chaine);
    $chaine=str_replace("[url]","",$chaine);
    $chaine=str_replace("[/url]","",$chaine);
    $chaine=str_replace("[mail]","",$chaine);
    $chaine=str_replace("[/mail]","",$chaine);

	return($chaine);
}

/********************************************/
/* Convertie les tag simple pour les titres */
/********************************************/
function replace_simple_tags($chaine){
	global $SMILEY_PATH,$LANG;

	$chaine=str_replace("[b]","<b>",$chaine);
	$chaine=str_replace("[/b]","</b>",$chaine);
	$chaine=str_replace("[i]","<i>",$chaine);
	$chaine=str_replace("[/i]","</i>",$chaine);
	$chaine=str_replace("[u]","<u>",$chaine);
	$chaine=str_replace("[/u]","</u>",$chaine);
	$chaine=str_replace("[strike]","<strike>",$chaine);
	$chaine=str_replace("[/strike]","</strike>",$chaine);
	$chaine=str_replace("[sub]","<sub>",$chaine);
	$chaine=str_replace("[/sub]","</sub>",$chaine);
	$chaine=str_replace("[sup]","<sup>",$chaine);
	$chaine=str_replace("[/sup]","</sup>",$chaine);
	$chaine=str_replace("[big]","<big><big><big>",$chaine);
	$chaine=str_replace("[/big]","</big></big></big>",$chaine);
	$chaine=str_replace("[small]","<small><small><small>",$chaine);
	$chaine=str_replace("[/small]","</small></small></small>",$chaine);
	$chaine=str_replace("[code]","<tt>",$chaine);
	$chaine=str_replace("[/code]","</tt>",$chaine);

	$chaine=ereg_replace("\[cit=([^]^/.]*)\]","<TABLE width=100%><TR><TD><TABLE class=atk_table align=right><TR><TD class=atk_body><SUP><u>" . $LANG["CITATION"] . " : \\1</u></SUP><BR>",$chaine);
	$chaine=str_replace("[cit]","<TABLE width=100%><TR><TD><TABLE class=atk_table align=right><TR><TD class=atk_body><SUP><u>" . $LANG["CITATION"] . "</u></SUP><BR>",$chaine);
	$chaine=str_replace("[/cit]","</TD></TR></TABLE></TD></TR></TABLE>",$chaine);

	$chaine=str_replace("[black]","<font color=black>",$chaine);
	$chaine=str_replace("[/black]","</font>",$chaine);
	$chaine=str_replace("[white]","<font color=white>",$chaine);
	$chaine=str_replace("[/white]","</font>",$chaine);
	$chaine=str_replace("[yellow]","<font color=yellow>",$chaine);
	$chaine=str_replace("[/yellow]","</font>",$chaine);
	$chaine=str_replace("[orange]","<font color=orange>",$chaine);
	$chaine=str_replace("[/orange]","</font>",$chaine);
	$chaine=str_replace("[red]","<font color=red>",$chaine);
	$chaine=str_replace("[/red]","</font>",$chaine);
	$chaine=str_replace("[purple]","<font color=purple>",$chaine);
	$chaine=str_replace("[/purple]","</font>",$chaine);
	$chaine=str_replace("[blue]","<font color=blue>",$chaine);
	$chaine=str_replace("[/blue]","</font>",$chaine);
	$chaine=str_replace("[green]","<font color=green>",$chaine);
	$chaine=str_replace("[/green]","</font>",$chaine);

	// Remplace les smileys
	$chaine=ereg_replace("(#){1}([A-Z]){1}((10)|[1-9]){1}","<img border=0 src='$SMILEY_PATH/\\2\\3.gif' align=middle>", $chaine);

	return($chaine);
}

/**********************************************/
/* Insert des espace dans les mots trop longs */
/**********************************************/
function insert_space($text, $max_word_length){

	$i=0;
	while(ereg("([[:alnum:]]+://[^[:space:]^\[^<]*[[:alnum:]#?/&=])",$text,$reg)){
		$text=str_replace($reg[0],"#".$i,$text);
		$url[$i] = $reg[0];
		$i++;
	}

	// Suppression des doubles espaces
	$text = ereg_replace("[ ]{2,}", " ", $text);	

	// Ajout des espace dans les mots longs
	$i = 0; $new_text="";
	$count=0;
	while ($i<strlen($text)){
		$pattern=substr($text,$i,1);
		if($pattern=="\n" || $pattern==" ") $count=0;
		if ($count>=$max_word_length){
			$new_text.=" ";
			$count=0;
		}
		$new_text.=$pattern;
		$i++;
		$count++;
	}

	if(!empty($url)){
		for($i=0; $i<count($url); $i++){
			$new_text=str_replace("#".$i, $url[$i], $new_text);
		}
	}

	return($new_text) ;
}

/****************************************/
/* Ferme toutes les balises non fermes */
/****************************************/
function close_tags($chaine){
	$tag[0]="img"; $tag[1]="code"; $tag[2]="b";
     $tag[3]="u"; $tag[4]="i";
	$tag[5]="strike"; $tag[6]="sup"; $tag[7]="sub";
     $tag[8]="black"; $tag[9]="white"; $tag[10]="yellow"; $tag[11]="orange";
     $tag[12]="red"; $tag[13]="purple"; $tag[14]="blue"; $tag[15]="green";
     $tag[16]="big"; $tag[17]="small"; $tag[18]="flash";

     for($i=0;$i<count($tag);$i++){
          $nb1=substr_count($chaine, "[$tag[$i]]");
          $nb2=substr_count($chaine, "[/$tag[$i]]");
          $nb=$nb1-$nb2;
          if($nb>0) for($j=0;$j<$nb;$j++) $chaine.="[/$tag[$i]]";
	}


	$nb_cit_1 = substr_count($chaine, "[cit]") + count_regexp($chaine, "\[cit=([^]^/.]*)\]");
	$nb_cit_2 = substr_count($chaine, "[/cit]");
	$nb=$nb_cit_1-$nb_cit_2;
     if($nb>0) for($j=0;$j<$nb;$j++) $chaine .= "[/cit]";
	for($i=$nb_cit_1; $i<$nb_cit_2; $i++) $chaine = "[cit]" . $chaine;
	$nb = substr_count($chaine, "[/cit]");
	$chaine = verify_cit($chaine, $nb);

     return($chaine);
}

// compte le nombre de regexp
function count_regexp($chaine, $regexp){
	$chaine = str_replace("#","",$chaine);
	$chaine = ereg_replace("\[([^]^=.]*)\]","",$chaine);
	$chaine = ereg_replace($regexp,"#",$chaine);
	$count = substr_count($chaine, "#");
	return($count);
}

// Vrifie les inversions de balises...
function verify_cit($chaine, $nb){

	$open[-1] = -1;
	$i = 0;
	while(1) {
		$open[$i] = strpos($chaine,"[cit", $open[$i-1]+1);
		if($open[$i] === false) break;
		$i++;
	}
	unset($open[$i]);
	unset($open[-1]);
	
	$close[-1] = -1;
	$i = 0;
	while(1) {
		$close[$i] = strpos($chaine,"[/cit", $close[$i-1]+1);
		if($close[$i] === false) break;
		$i++;
	}
	unset($close[$i]);
	unset($close[-1]);

	$i = 0; $j = 0;
	$count = 0;
	while( $i < count($open) ){
		
		if($j >= count($close) || $open[$i] < $close[$j]){
			$i++; $j++;
		} else {
			$j++;
			$count--;
		}

	}
	
	// $count = Nombre d'inversion de la balise citation !!!!!
	// Il suffit de rajouter un balise ouvrante au dbut et une  la fin !
	if($count<0 || count($open) != count($close) || count($open) != $nb){
		$chaine = ereg_replace("\[cit=([^]^/.]*)\]","",$chaine);
		$chaine = str_replace("[cit]","",$chaine);
		$chaine = str_replace("[/cit]","",$chaine);
	}
	
	return($chaine);
}

/*****************************************************/
/* Convertie les tags de la langue en tags standards */
/*****************************************************/
function lang_to_tag($chaine){
	global $LANG;

	// Tag d'ouverture
	$chaine=str_replace("[" . $LANG["TAG-IMG"] . "]","[img]",$chaine);
	$chaine=str_replace("[" . $LANG["TAG-CIT"],"[cit",$chaine);

	$chaine=str_replace("[" . $LANG["TAG-BOLD"] . "]","[b]",$chaine);
	$chaine=str_replace("[" . $LANG["TAG-UNDERLINE"] . "]","[u]",$chaine);
	$chaine=str_replace("[" . $LANG["TAG-ITALIC"] . "]","[i]",$chaine);
	$chaine=str_replace("[" . $LANG["TAG-STRIKE"] . "]","[strike]",$chaine);
	$chaine=str_replace("[" . $LANG["TAG-SUPERSCRIPT"] . "]","[sup]",$chaine);
	$chaine=str_replace("[" . $LANG["TAG-SUBSCRIPT"] . "]","[sub]",$chaine);
	$chaine=str_replace("[" . $LANG["TAG-BIG"] . "]","[big]",$chaine);
	$chaine=str_replace("[" . $LANG["TAG-SMALL"] . "]","[small]",$chaine);
	$chaine=str_replace("[" . $LANG["TAG-CODE"] . "]","[code]",$chaine);
	
	$chaine=str_replace("[" . $LANG["TAG-WHITE"] . "]","[white]",$chaine);
	$chaine=str_replace("[" . $LANG["TAG-BLACK"] . "]","[black]",$chaine);
	$chaine=str_replace("[" . $LANG["TAG-YELLOW"] . "]","[yellow]",$chaine);
	$chaine=str_replace("[" . $LANG["TAG-ORANGE"] . "]","[orange]",$chaine);
	$chaine=str_replace("[" . $LANG["TAG-RED"] . "]","[red]",$chaine);
	$chaine=str_replace("[" . $LANG["TAG-PURPLE"] . "]","[purple]",$chaine);
	$chaine=str_replace("[" . $LANG["TAG-BLUE"] . "]","[blue]",$chaine);
	$chaine=str_replace("[" . $LANG["TAG-GREEN"] . "]","[green]",$chaine);

	// Tags de fermeture
	$chaine=str_replace("[/" . $LANG["TAG-IMG"] . "]","[/img]",$chaine);
	$chaine=str_replace("[/" . $LANG["TAG-CIT"] . "]","[/cit]",$chaine);
		
	$chaine=str_replace("[/" . $LANG["TAG-BOLD"] . "]","[/b]",$chaine);
	$chaine=str_replace("[/" . $LANG["TAG-UNDERLINE"] . "]","[/u]",$chaine);
	$chaine=str_replace("[/" . $LANG["TAG-ITALIC"] . "]","[/i]",$chaine);
	$chaine=str_replace("[/" . $LANG["TAG-STRIKE"] . "]","[/strike]",$chaine);
	$chaine=str_replace("[/" . $LANG["TAG-SUPERSCRIPT"] . "]","[/sup]",$chaine);
	$chaine=str_replace("[/" . $LANG["TAG-SUBSCRIPT"] . "]","[/sub]",$chaine);
	$chaine=str_replace("[/" . $LANG["TAG-BIG"] . "]","[/big]",$chaine);
	$chaine=str_replace("[/" . $LANG["TAG-SMALL"] . "]","[/small]",$chaine);
	$chaine=str_replace("[/" . $LANG["TAG-CODE"] . "]","[/code]",$chaine);
	
	$chaine=str_replace("[/" . $LANG["TAG-WHITE"] . "]","[/white]",$chaine);
	$chaine=str_replace("[/" . $LANG["TAG-BLACK"] . "]","[/black]",$chaine);
	$chaine=str_replace("[/" . $LANG["TAG-YELLOW"] . "]","[/yellow]",$chaine);
	$chaine=str_replace("[/" . $LANG["TAG-ORANGE"] . "]","[/orange]",$chaine);
	$chaine=str_replace("[/" . $LANG["TAG-RED"] . "]","[/red]",$chaine);
	$chaine=str_replace("[/" . $LANG["TAG-PURPLE"] . "]","[/purple]",$chaine);
	$chaine=str_replace("[/" . $LANG["TAG-BLUE"] . "]","[/blue]",$chaine);
	$chaine=str_replace("[/" . $LANG["TAG-GREEN"] . "]","[/green]",$chaine);

	return($chaine);
}

/*****************************************************/
/* Convertie les tags standards en tags de la langue */
/*****************************************************/
function tag_to_lang($chaine){
	global $LANG;

	// Tag d'ouverture
	$chaine=str_replace("[img]","[" . $LANG["TAG-IMG"] . "]",$chaine);
	$chaine=str_replace("[cit","[" . $LANG["TAG-CIT"],$chaine);
	
	$chaine=str_replace("[b]","[" . $LANG["TAG-BOLD"] . "]",$chaine);
	$chaine=str_replace("[u]","[" . $LANG["TAG-UNDERLINE"] . "]",$chaine);
	$chaine=str_replace("[i]","[" . $LANG["TAG-ITALIC"] . "]",$chaine);
	$chaine=str_replace("[strike]","[" . $LANG["TAG-STRIKE"] . "]",$chaine);
	$chaine=str_replace("[sup]","[" . $LANG["TAG-SUPERSCRIPT"] . "]",$chaine);
	$chaine=str_replace("[sub]","[" . $LANG["TAG-SUBSCRIPT"] . "]",$chaine);
	$chaine=str_replace("[big]","[" . $LANG["TAG-BIG"] . "]",$chaine);
	$chaine=str_replace("[small]","[" . $LANG["TAG-SMALL"] . "]",$chaine);
	$chaine=str_replace("[code]","[" . $LANG["TAG-CODE"] . "]",$chaine);

	$chaine=str_replace("[white]","[" . $LANG["TAG-WHITE"] . "]",$chaine);
	$chaine=str_replace("[black]","[" . $LANG["TAG-BLACK"] . "]",$chaine);
	$chaine=str_replace("[yellow]","[" . $LANG["TAG-YELLOW"] . "]",$chaine);
	$chaine=str_replace("[orange]","[" . $LANG["TAG-ORANGE"] . "]",$chaine);
	$chaine=str_replace("[red]","[" . $LANG["TAG-RED"] . "]",$chaine);
	$chaine=str_replace("[purple]","[" . $LANG["TAG-PURPLE"] . "]",$chaine);
	$chaine=str_replace("[blue]","[" . $LANG["TAG-BLUE"] . "]",$chaine);
	$chaine=str_replace("[green]","[" . $LANG["TAG-GREEN"] . "]",$chaine);

	// Tags de fermeture
	$chaine=str_replace("[/img]","[/" . $LANG["TAG-IMG"] . "]",$chaine);
	$chaine=str_replace("[/cit]","[/" . $LANG["TAG-CIT"] . "]",$chaine);
		
	$chaine=str_replace("[/b]","[/" . $LANG["TAG-BOLD"] . "]",$chaine);
	$chaine=str_replace("[/u]","[/" . $LANG["TAG-UNDERLINE"] . "]",$chaine);
	$chaine=str_replace("[/i]","[/" . $LANG["TAG-ITALIC"] . "]",$chaine);
	$chaine=str_replace("[/strike]","[/" . $LANG["TAG-STRIKE"] . "]",$chaine);
	$chaine=str_replace("[/sup]","[/" . $LANG["TAG-SUPERSCRIPT"] . "]",$chaine);
	$chaine=str_replace("[/sub]","[/" . $LANG["TAG-SUBSCRIPT"] . "]",$chaine);
	$chaine=str_replace("[/big]","[/" . $LANG["TAG-BIG"] . "]",$chaine);
	$chaine=str_replace("[/small]","[/" . $LANG["TAG-SMALL"] . "]",$chaine);
	$chaine=str_replace("[/code]","[/" . $LANG["TAG-CODE"] . "]",$chaine);

	$chaine=str_replace("[/white]","[/" . $LANG["TAG-WHITE"] . "]",$chaine);
	$chaine=str_replace("[/black]","[/" . $LANG["TAG-BLACK"] . "]",$chaine);
	$chaine=str_replace("[/yellow]","[/" . $LANG["TAG-YELLOW"] . "]",$chaine);
	$chaine=str_replace("[/orange]","[/" . $LANG["TAG-ORANGE"] . "]",$chaine);
	$chaine=str_replace("[/red]","[/" . $LANG["TAG-RED"] . "]",$chaine);
	$chaine=str_replace("[/purple]","[/" . $LANG["TAG-PURPLE"] . "]",$chaine);
	$chaine=str_replace("[/blue]","[/" . $LANG["TAG-BLUE"] . "]",$chaine);
	$chaine=str_replace("[/green]","[/" . $LANG["TAG-GREEN"] . "]",$chaine);

	return($chaine);
}
?>
